### Method

# Fwupd Remote get_username

since: 0.9.5

#### Declaration [src]

    const gchar*
    fwupd_remote_get_username (
      FwupdRemote* self
    )

#### Description [src]

Gets the username configured for the remote.

Available since: 0.9.5

#### Return value

Type: `const gchar*`

A string, or `NULL` for unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.